%global gitver      2.7.4
%global cachedir    %{_localstatedir}/cache/%{name}
%global filterdir   %{_libexecdir}/%{name}/filters
%global scriptdir   %{_localstatedir}/www/cgi-bin
%global cgitdata    %{_datadir}/%{name}

%global cgitmake \
%make V=1 \\\
     DESTDIR=%{buildroot} \\\
     CACHE_ROOT=%{cachedir} \\\
     CGIT_SCRIPT_PATH=%{scriptdir} \\\
     CGIT_SCRIPT_NAME=cgit \\\
     CGIT_DATA_PATH=%{cgitdata} \\\
     docdir=%{docdir} \\\
     mandir=%{_mandir} \\\
     filterdir=%{filterdir}

Name:           cgit
Version:        0.12
Release:        %mkrel 3
Summary:        A fast web interface for git
Group:          System/Servers
License:        GPLv2
URL:            http://git.zx2c4.com/cgit/
Source0:        http://git.zx2c4.com/cgit/snapshot/%{name}-%{version}.tar.xz
Source1:        http://git-core.googlecode.com/files/git-%{gitver}.tar.xz
Source2:        cgitrc
Source3:        cgit.httpd
Patch500:       0500-cgit-0.9.1-highlightv3.patch
# (cg) Formatting patch from http://colin.guthr.ie/git/misc/cgit/log/?h=tweaks
Patch501:       0501-ui-repolist-Add-a-very-simple-pretty-print-option-fo.patch

BuildRequires:  asciidoc
BuildRequires:  docbook-style-xsl
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openssl)
Requires:       webserver
Requires:       highlight

%description
Cgit is a fast web interface for git.  It uses caching to increase performance.

%prep
%setup -q -a 1
%autopatch -p1

# setup the git dir
rm -rf git
mv git-%{gitver} git
sed -i 's/^\(CFLAGS = \).*/\1%{optflags}/' git/Makefile
sed -i "s/GIT_VER = 2.7.0/GIT_VER = %{gitver}/" Makefile


%build
%cgitmake
# Something in the a2x chain doesn't like running in parallel. :/
%cgitmake -j 1 doc-man doc-html


%install
%cgitmake install install-man

install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -p -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/cgitrc
install -p -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
install -d -m0755 %{buildroot}%{cachedir}


%files
%doc COPYING README* *.html
%config(noreplace) %{_sysconfdir}/cgitrc
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(-,apache,root) %{cachedir}
%{cgitdata}
%{filterdir}
%{scriptdir}/*
%{_mandir}/man*/*


%changelog
* Fri Mar 18 2016 luigiwalser <luigiwalser> 0.12-3.mga6
+ Revision: 992886
- update git again to 2.7.4

* Wed Mar 16 2016 colin <colin> 0.12-2.mga6
+ Revision: 992008
- Build against git 2.7.3

* Fri Jan 22 2016 colin <colin> 0.12-1.mga6
+ Revision: 926558
- New version: 0.12 (git 2.7.0) mga#17495

* Mon Aug 17 2015 colin <colin> 0.11.2-1.mga6
+ Revision: 865319
- New version: 0.11.2 (using git 2.5.0)

* Wed Oct 15 2014 umeabot <umeabot> 0.10.2-4.mga5
+ Revision: 741968
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.10.2-3.mga5
+ Revision: 725005
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.2-2.mga5
+ Revision: 678356
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 colin <colin> 0.10.2-1.mga5
+ Revision: 669565
- New version: 0.10.2

* Sun Apr 06 2014 colin <colin> 0.10.1-1.mga5
+ Revision: 612474
- Update to 0.10.1

* Sat Oct 19 2013 umeabot <umeabot> 0.9.2-3.mga4
+ Revision: 527563
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 colin <colin> 0.9.2-2.mga4
+ Revision: 441242
- Fix syntax highlighting script name
- Apply patches maually to avoid back files being included in package

* Sun Jun 09 2013 colin <colin> 0.9.2-1.mga4
+ Revision: 441157
- Add missing BR
- Fix group
- Add formatting patch
- Add some buildrequires and switch to pkgconfig BR where possible.
- Import Fedora package (with tweaks for Mageia)

